//AmpelClient.java                                  MM 2015
import java.net.*;                                // Socket
import java.io.*;                            // IOException

/**
 * Client fuer Ampelschaltung,
 * erzeugt Client-Socket fuer Kommunikation
 * mit angegebenen Server ber angegebenen Port
 * und wickelt Protokoll ab.
 * Aufruf: java AmpelClient <Host> <Port>
 */
class AmpelClient
{
  public static void main( String[] args)
  {
    try
    {
// Serververbindung
      String hostName = args[ 0];
      int port = Integer.parseInt( args[ 1]);
      Socket c = new Socket( hostName, port);
      System.out.println( "AmpelClient laeft");

// Protokoll
      new AmpelClientProtokoll( c);
    }
    catch( ArrayIndexOutOfBoundsException e)
    {
      System.out.println
      ( "\nAufruf: java AmpelClient <Host> <Port>\n");
    }
    catch( UnknownHostException e)
    {
      System.out.println
      ( "\nKein DNS-Eintrag fuer " + args[ 0] + "\n");
    }
    catch( IOException e)
    {
      System.out.println
      ( "\nVerbindung zum Server fehlgeschlagen\n  " + e);
    }
  }
}